#include <iostream>

using namespace std;

void unos_niza(int a[],int n)
{
    for (int i=0;i<n;i++)
        cin >> a[i];
}

int main()
{
    int t,i=0,n,m,x;
    cin >> t;
    int a[75000],b[75000];
    do
    {
        cin >> n >> m;
        unos_niza(a,n);
        unos_niza(b,m);
        x=a[1]-a[0];
        for (i=2;i<n;i++)
        {
            if (a[i]-a[i-1]!=x)
                cout << 0;
            else
                for (i=0;i<n;i++)
                    for (int j=0;j<m;j++)
                        if (a[i]==b[j])
                            cout << 0;
                        else
                            cout << 1;
        }
        i++;
    }
    while (i<t);
    return 0;
}